Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Class DatagramPacketOutputStream

`java.lang.Object
java.io.OutputStream
com.tangosol.net.DatagramPacketOutputStream`

All Implemented Interfaces:
  Closeable, Flushable

      public class DatagramPacketOutputStream

extends OutputStream

Provides an OutputStream on top of a DatagramPacket.

The flush() method must be invoked prior to sending the DatagramPacket.
The close() method must be invoked after sending the DatagramPacket; the OutputStream will remain open, but will have reset to the beginning of the packet buffer.

Author:
  cp 2001.01.05

Constructor Summary
`DatagramPacketOutputStream(DatagramPacket packet)`

Method Summary
`void` | `close()` Closes this output stream and releases any system resources associated with this stream.
`void` | `flush()` Flushes this output stream and forces any buffered output bytes to be written out.
`void` | `reset()` Reset the output stream back to the beginning of the buffer.
`void` | `write(byte[] abSrc, int ofSrc, int cbCopy)` Writes len bytes from the specified byte array starting at offset off to this output stream.
`void` | `write(int b)` Writes the specified byte to this output stream.

Methods inherited from class java.io.OutputStream
`write`

Constructor Detail

### DatagramPacketOutputStream

    public DatagramPacketOutputStream(DatagramPacket packet)

Method Detail

### write

    public void write(int b)
               throws IOException

  Writes the specified byte to this output stream.
  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] abSrc,
                      int ofSrc,
                      int cbCopy)
               throws IOException

  Writes len bytes from the specified byte array starting at offset off to this output stream.
  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Flushes this output stream and forces any buffered output bytes to be written out.
  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### close

    public void close()

  Closes this output stream and releases any system resources associated with this stream.
  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`

### reset

    public void reset()

  Reset the output stream back to the beginning of the buffer.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.